summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaroslav Lichtblau2014-11-28 20:17:14 +0100
committerJaroslav Lichtblau2014-11-28 20:17:14 +0100
commit428e5402ab47aea3ddf71bc9b4d148ef66ff732d (patch)
treec23ab38041e0deb0c1936de1771fac0b3705d305
downloadaur-428e5402ab47aea3ddf71bc9b4d148ef66ff732d.tar.gz
Initial PKGBUILD status as of 28.11.2014
-rw-r--r--.AURINFO35
-rw-r--r--.SRCINFO35
-rw-r--r--PKGBUILD72
-rw-r--r--vegastrike-svn-gcc44.diff110
-rw-r--r--vegastrike-svn.install18
5 files changed, 270 insertions, 0 deletions
diff --git a/.AURINFO b/.AURINFO
new file mode 100644
index 00000000000..6f41eeb110c
--- /dev/null
+++ b/.AURINFO
@@ -0,0 +1,35 @@
+pkgbase = vegastrike-svn
+ pkgdesc = SVN version of an Open Source 3D Action-Space-Sim allowing players to trade and bounty hunt in a vast universe.
+ pkgver = 13681
+ pkgrel = 1
+ url = http://vegastrike.sourceforge.net/
+ install = vegastrike-svn.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = subversion
+ makedepends = cmake
+ depends = expat
+ depends = ffmpeg
+ depends = freeglut
+ depends = gtk2
+ depends = libjpeg
+ depends = libpng
+ depends = libxcb
+ depends = libxmu
+ depends = openal
+ depends = python2
+ depends = sdl
+ depends = xvidcore
+ depends = glu
+ optdepends = vegastrike-data: original dataset
+ optdepends = vegastrike-data-svn: original dataset, svn version
+ optdepends = paralleluniverse: revival of Privateer
+ provides = vegastrike
+ conflicts = vegastrike
+ options = !makeflags
+ source = vegastrike-svn-gcc44.diff
+ md5sums = 286cdfd30eb37d8e716f812851abbced
+
+pkgname = vegastrike-svn
+
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6f41eeb110c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,35 @@
+pkgbase = vegastrike-svn
+ pkgdesc = SVN version of an Open Source 3D Action-Space-Sim allowing players to trade and bounty hunt in a vast universe.
+ pkgver = 13681
+ pkgrel = 1
+ url = http://vegastrike.sourceforge.net/
+ install = vegastrike-svn.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = subversion
+ makedepends = cmake
+ depends = expat
+ depends = ffmpeg
+ depends = freeglut
+ depends = gtk2
+ depends = libjpeg
+ depends = libpng
+ depends = libxcb
+ depends = libxmu
+ depends = openal
+ depends = python2
+ depends = sdl
+ depends = xvidcore
+ depends = glu
+ optdepends = vegastrike-data: original dataset
+ optdepends = vegastrike-data-svn: original dataset, svn version
+ optdepends = paralleluniverse: revival of Privateer
+ provides = vegastrike
+ conflicts = vegastrike
+ options = !makeflags
+ source = vegastrike-svn-gcc44.diff
+ md5sums = 286cdfd30eb37d8e716f812851abbced
+
+pkgname = vegastrike-svn
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e0f7be1e624
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,72 @@
+# Maintainer: Jaroslav Lichtblau <dragonlord@aur.archlinux.org>
+
+pkgname=vegastrike-svn
+_pkgname=vegastrike
+pkgver=13681
+pkgrel=1
+pkgdesc="SVN version of an Open Source 3D Action-Space-Sim allowing players to trade and bounty hunt in a vast universe."
+arch=('i686' 'x86_64')
+url="http://vegastrike.sourceforge.net/"
+license=('GPL')
+depends=('expat' 'ffmpeg' 'freeglut' 'gtk2' 'libjpeg' 'libpng' 'libxcb' 'libxmu' 'openal' 'python2' 'sdl' 'xvidcore' 'glu')
+optdepends=('vegastrike-data: original dataset'
+ 'vegastrike-data-svn: original dataset, svn version'
+ 'paralleluniverse: revival of Privateer')
+makedepends=('subversion' 'cmake')
+provides=('vegastrike')
+conflicts=('vegastrike')
+install=$pkgname.install
+options=(!makeflags)
+
+source=($pkgname-gcc44.diff)
+md5sums=('286cdfd30eb37d8e716f812851abbced')
+
+_svntrunk=https://vegastrike.svn.sourceforge.net/svnroot/vegastrike/trunk/vegastrike
+_svnmod=vegastrike
+
+build() {
+ cd "${srcdir}"
+
+ if [ -d $_svnmod/.svn ]; then
+ (cd $_svnmod && svn up -r $pkgver)
+ else
+ svn co --ignore-externals $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ fi
+ msg "Vegastrike BIN SVN checkout done or server timeout"
+
+ msg "Setting up build environment..."
+ cp -r $_svnmod $_svnmod-build
+ cd $_svnmod-build
+
+ msg "Starting make..."
+
+#patching for GCC 4.4.0
+# patch -Np1 -i "${srcdir}"/$pkgname-gcc44.diff
+#building
+# ./bootstrap-sh
+# ./configure --prefix=/usr --with-data-dir=/usr/share/vegastrike --enable-debug
+
+#build system on cmake now
+ cmake -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr .
+ make
+}
+
+package(){
+ cd $_svnmod-build
+
+ make DESTDIR="${pkgdir}" install
+
+#move objconv dir to right path + avoiding conflict with mysql's 'replace' file
+ install -d "${pkgdir}"/usr/share/${_pkgname}
+ mv -f "${pkgdir}"/usr/objconv "${pkgdir}"/usr/share/${_pkgname}/objconv
+ mv "${pkgdir}"/usr/bin/replace "${pkgdir}"/usr/bin/vsreplace
+
+#removing unneeded
+ rm -rf `find "${pkgdir}"/usr/share -type d -name .svn`
+#find "${pkgdir}"/usr/share -type d -name '.svn' | xargs rm -rf || return 1
+
+#removig huge build directory
+ rm -r "${srcdir}"/$_svnmod-build
+}
diff --git a/vegastrike-svn-gcc44.diff b/vegastrike-svn-gcc44.diff
new file mode 100644
index 00000000000..ade1550ce1d
--- /dev/null
+++ b/vegastrike-svn-gcc44.diff
@@ -0,0 +1,110 @@
+diff -urN vegastrike-source-0.5.0.orig/boost/1_335/boost/mpl/apply.hpp vegastrike-source-0.5.0/boost/1_35/boost/mpl/apply.hpp
+--- vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/apply.hpp 2009-07-17 20:59:40.929382133 +0200
++++ vegastrike-source-0.5.0/boost/1_35/boost/mpl/apply.hpp 2009-07-17 21:00:07.756110500 +0200
+@@ -134,8 +134,10 @@
+ #endif // BOOST_MPL_APPLY_HPP_INCLUDED
+
+ ///// iteration, depth == 1
+-
+-#elif BOOST_PP_ITERATION_DEPTH() == 1
++// For gcc 4.4 compatability, we must include the
++// BOOST_PP_ITERATION_DEPTH test inside an #else clause.
++#else // BOOST_PP_IS_ITERATING
++#if BOOST_PP_ITERATION_DEPTH() == 1
+
+ # define i_ BOOST_PP_FRAME_ITERATION(1)
+
+@@ -222,4 +224,5 @@
+
+ # undef i_
+
++#endif // BOOST_PP_ITERATION_DEPTH()
+ #endif // BOOST_PP_IS_ITERATING
+diff -urN vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/apply_wrap.hpp vegastrike-source-0.5.0/boost/1_35/boost/mpl/apply_wrap.hpp
+--- vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/apply_wrap.hpp 2009-07-17 20:59:40.996047661 +0200
++++ vegastrike-source-0.5.0/boost/1_35/boost/mpl/apply_wrap.hpp 2009-07-17 21:00:07.756110500 +0200
+@@ -78,7 +78,8 @@
+
+ ///// iteration, depth == 1
+
+-#elif BOOST_PP_ITERATION_DEPTH() == 1
++#else
++#if BOOST_PP_ITERATION_DEPTH() == 1
+
+ # define i_ BOOST_PP_FRAME_ITERATION(1)
+
+@@ -197,4 +198,5 @@
+
+ # undef j_
+
++#endif
+ #endif // BOOST_PP_IS_ITERATING
+diff -urN vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/aux_/full_lambda.hpp vegastrike-source-0.5.0/boost/1_35/boost/mpl/aux_/full_lambda.hpp
+--- vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/aux_/full_lambda.hpp 2009-07-17 20:59:40.599381331 +0200
++++ vegastrike-source-0.5.0/boost/1_35/boost/mpl/aux_/full_lambda.hpp 2009-07-17 21:00:07.766878419 +0200
+@@ -227,7 +227,8 @@
+
+ ///// iteration, depth == 1
+
+-#elif BOOST_PP_ITERATION_DEPTH() == 1
++#else
++#if BOOST_PP_ITERATION_DEPTH() == 1
+ #define i_ BOOST_PP_FRAME_ITERATION(1)
+
+ #if i_ > 0
+@@ -347,4 +348,5 @@
+ };
+
+ #undef i_
++#endif
+ #endif // BOOST_PP_IS_ITERATING
+diff -urN vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/aux_/numeric_op.hpp vegastrike-source-0.5.0/boost/1_35/boost/mpl/aux_/numeric_op.hpp
+--- vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/aux_/numeric_op.hpp 2009-07-17 20:59:40.599381331 +0200
++++ vegastrike-source-0.5.0/boost/1_35/boost/mpl/aux_/numeric_op.hpp 2009-07-17 21:00:07.766878419 +0200
+@@ -287,7 +287,8 @@
+
+ ///// iteration, depth == 1
+
+-#elif BOOST_PP_ITERATION_DEPTH() == 1
++#else
++#if BOOST_PP_ITERATION_DEPTH() == 1
+
+ # define i_ BOOST_PP_FRAME_ITERATION(1)
+
+@@ -308,4 +309,5 @@
+
+ # undef i_
+
++#endif
+ #endif // BOOST_PP_IS_ITERATING
+diff -urN vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/bind.hpp vegastrike-source-0.5.0/boost/1_35/boost/mpl/bind.hpp
+--- vegastrike-source-0.5.0.orig/boost/1_35/boost/mpl/bind.hpp 2009-07-17 20:59:40.589380757 +0200
++++ vegastrike-source-0.5.0/boost/1_35/boost/mpl/bind.hpp 2009-07-17 21:00:07.766878419 +0200
+@@ -361,7 +361,8 @@
+
+ ///// iteration, depth == 1
+
+-#elif BOOST_PP_ITERATION_DEPTH() == 1
++#else
++#if BOOST_PP_ITERATION_DEPTH() == 1
+
+ # define i_ BOOST_PP_FRAME_ITERATION(1)
+
+@@ -544,4 +545,5 @@
+ # endif
+ # undef j_
+
++#endif
+ #endif // BOOST_PP_IS_ITERATING
+diff -urN vegastrike-source-0.5.0.orig/src/cmd/basecomputer.cpp vegastrike-source-0.5.0/src/cmd/basecomputer.cpp
+--- vegastrike-source-0.5.0.orig/src/cmd/basecomputer.cpp 2009-07-17 20:59:40.166058029 +0200
++++ vegastrike-source-0.5.0/src/cmd/basecomputer.cpp 2009-07-17 21:06:02.696008744 +0200
+@@ -3142,7 +3142,7 @@
+ return s1.st_mtime - s2.st_mtime;
+ }
+
+-#if defined(_WIN32) && !defined(__CYGWIN__)
++#if (__GLIBC__>2 || __GLIBC_MINOR__>=10) || (defined(_WIN32) && !defined(CYGWIN))
+ typedef int (*scancompare) ( const struct dirent **v1, const struct dirent **v2 );
+ #else
+ typedef int (*scancompare) ( const void *v1, const void *v2 );
diff --git a/vegastrike-svn.install b/vegastrike-svn.install
new file mode 100644
index 00000000000..8a4924f1023
--- /dev/null
+++ b/vegastrike-svn.install
@@ -0,0 +1,18 @@
+# arg 1: the new package version
+post_install() {
+cat << EOF
+
+In order to play the game, you HAVE TO install one of the packages listed as optdepends. Packages 'vegastrike-data' and 'vegastrike-data-svn' are the original data sets. Package 'paralleluniverse' intends to be the revival of Privateer, an old spacesim by Origin System from the 90s and is a total conversion of the game.
+EOF
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+post_upgrade() {
+ post_install $1
+}
+
+# arg 1: the old package version
+post_remove() {
+echo "Don't forget to remove the data files for VegaStrike also!"
+}